import 'package:flutter/material.dart';

class ListPage extends StatelessWidget {
  const ListPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    var items = [
      'Foods & Drinks',
      'Services',
      'Additional',
      'First Aid',
      'Ticket',
      'Vacation',
      'Transportation'
    ];    
    return Scaffold(
        body: Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Text(
          'Top Menu',
          style: TextStyle(
            fontSize: 18,
          ),
        ),
        Expanded(
            child: ListView.builder(
                shrinkWrap: true,
                itemCount: items.length,
                itemBuilder: (context, index) {
                  return Card(
                    child: ListTile(
                      title: Text(items[index]),
                      subtitle: Text('Description of ${items[index]}'),
                      // trailing: Icon(
                      //   Icons.do_not_disturb_on,
                      //   color: Colors.red,
                      // ),
                    ),
                  );
                })),
      ],
    ));
  }
}
